<div>
    <h2 id="page-heading">
        <span>Case Instances</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-case-instance" [routerLink]="['/case-instance/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Case Instance
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="caseInstances?.length === 0">
        <span>No caseInstances found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="caseInstances && caseInstances.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Case No</span></th>
                    <th scope="col" ><span>Case Id</span></th>
                    <th scope="col" ><span>Current Step Id</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col" ><span>Member Id</span></th>
                    <th scope="col" ><span>Case Data Id</span></th>
                    <th scope="col" ><span>Step Status</span></th>
                    <th scope="col" ><span>Created By</span></th>
                    <th scope="col" ><span>Updated By</span></th>
                    <th scope="col" ><span>Created At</span></th>
                    <th scope="col" ><span>Updated At</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let caseInstance of caseInstances ;trackBy: trackId">
                    <td><a [routerLink]="['/case-instance', caseInstance.id, 'view']">{{ caseInstance.id }}</a></td>
                    <td>{{ caseInstance.caseNo }}</td>
                    <td>{{ caseInstance.caseId }}</td>
                    <td>{{ caseInstance.currentStepId }}</td>
                    <td>{{ caseInstance.remark }}</td>
                    <td>{{ caseInstance.memberId }}</td>
                    <td>{{ caseInstance.caseDataId }}</td>
                    <td>{{ caseInstance.stepStatus }}</td>
                    <td>{{ caseInstance.createdBy }}</td>
                    <td>{{ caseInstance.updatedBy }}</td>
                    <td>{{ caseInstance.createdAt | date:'medium' }}</td>
                    <td>{{ caseInstance.updatedAt | date:'medium' }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/case-instance', caseInstance.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/case-instance', caseInstance.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(caseInstance)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
